# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-07-09 16:44
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import mailauth.utils
import oauth2_provider.generators


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('mailauth', '0005_auto_20170709_1844'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='DockerRegistry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('unauthenticated_pull', models.BooleanField(default=False, verbose_name='Allow unauthenticated pull')),
                ('unauthenticated_push', models.BooleanField(default=False, verbose_name='Allow unauthenticated push')),
                ('name', models.CharField(help_text='Human readable name', max_length=255, verbose_name='Name')),
                ('client_id', models.CharField(db_index=True, default=oauth2_provider.generators.generate_client_id, max_length=100, unique=True)),
                ('sign_key', models.TextField(default=lambda: mailauth.utils.generate_rsa_key().private_key, verbose_name='JWT signature private key (RSA PEM)')),
                ('group_pull_access', models.ManyToManyField(blank=True, related_name='dockerregistry_pull_access', to='mailauth.MNGroup', verbose_name='Groups with pull access (read)')),
                ('group_push_access', models.ManyToManyField(blank=True, related_name='dockerregistry_push_access', to='mailauth.MNGroup', verbose_name='Groups with push access (write)')),
                ('user_pull_access', models.ManyToManyField(blank=True, related_name='dockerregistry_pull_access', to=settings.AUTH_USER_MODEL, verbose_name='Users with pull access (read)')),
                ('user_push_access', models.ManyToManyField(blank=True, related_name='dockerregistry_push_access', to=settings.AUTH_USER_MODEL, verbose_name='Users with push access (write)')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DockerRepo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('unauthenticated_pull', models.BooleanField(default=False, verbose_name='Allow unauthenticated pull')),
                ('unauthenticated_push', models.BooleanField(default=False, verbose_name='Allow unauthenticated push')),
                ('name', models.CharField(help_text="Format should be 'orgname/appname'", max_length=255, verbose_name='Name')),
                ('group_pull_access', models.ManyToManyField(blank=True, related_name='dockerrepo_pull_access', to='mailauth.MNGroup', verbose_name='Groups with pull access (read)')),
                ('group_push_access', models.ManyToManyField(blank=True, related_name='dockerrepo_push_access', to='mailauth.MNGroup', verbose_name='Groups with push access (write)')),
                ('registry', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='repos', to='dockerauth.DockerRegistry')),
                ('user_pull_access', models.ManyToManyField(blank=True, related_name='dockerrepo_pull_access', to=settings.AUTH_USER_MODEL, verbose_name='Users with pull access (read)')),
                ('user_push_access', models.ManyToManyField(blank=True, related_name='dockerrepo_push_access', to=settings.AUTH_USER_MODEL, verbose_name='Users with push access (write)')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
